#! /bin/sh

rm -f /tmp/update/smartlogger1000.tar.gz
tar Jxf /tmp/update/smartlogger1000.tar.xz -C /tmp/update/
rm -f /tmp/update/smartlogger1000.tar.xz

if [ ! -d "/mnt/app_bin0/bin_arm/" ];then
mkdir -p /mnt/app_bin0/bin_arm
fi

var=`ps > /var/path.txt`
curr_path=`grep -c "/mnt/app_bin0/bin_arm" /var/path.txt`

#current running path are app_bin0,so copy app_arm to app_bin1
if [ $curr_path -eq "0" ]; then

rm -rf /mnt/app_bin0/bin_arm/*     2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/kp /mnt/kp/kp_update     2>>/mnt/log/monitor_update.log
mv -f /mnt/kp/kp_update/* /mnt/kp/ && rm -rf /mnt/kp/kp_update   2>>/mnt/log/monitor_update.log
cp -p /tmp/update/wlan_default_pwd.smartlog /mnt/app_bin0/bin_arm/   2>>/mnt/log/monitor_update.log
tar zxf /tmp/update/webpage.tar.gz -C /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/init_env /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/udhcpd.conf /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/alias_all /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/route.txt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/app.cfg /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/auth.txt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/tomcat_client.crt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/tomcat_client.key /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ca.crt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/client_new.crt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/client_new.key /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ca_new.crt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ca_esgcc.crt /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/client_new.smartlog /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/nsswitch.conf /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/equiptest /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/user_init_salt.emap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/user_init_cfg.emap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/libcap.so.2.26 /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/curl /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/libcurl.so.4.6.0 /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/libtinyxml2_7.0.1.so /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/setcap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/getcap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ubi* /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/*.so /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rp /tmp/update/so /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rp /tmp/update/client.smartlog /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rp /tmp/update/apploadbin /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/default.script /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/dhcp_shell /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/app_user_record.emap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/neteco_user_record1.emap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/sudoers /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/sudo /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/zip /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/web_server /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/app_arm /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/register_remap.cfg /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/weak_password.emap /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/pppd /mnt/app_bin0/bin_arm/ 2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/nms_name_*.cfg /mnt/app_bin0/bin_arm/ 2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/remote_out_*.cfg /mnt/app_bin0/bin_arm/ 2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/license_key.emap /mnt/app_bin0/bin_arm/ 2>>/mnt/log/monitor_update.log

if [ -f "/tmp/update/iec61850server" ]
then
    cp -p /tmp/update/iec61850server /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
    cp -p /tmp/update/server.cid /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
    cp -p /tmp/update/license3.lic /mnt/app_bin0/bin_arm/     2>>/mnt/log/monitor_update.log
fi

else

if [ ! -d "/mnt/app_bin1/bin_arm/" ];then
mkdir -p /mnt/app_bin1/bin_arm
fi

rm -rf /mnt/app_bin1/bin_arm/*     2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/kp /mnt/kp/kp_update     2>>/mnt/log/monitor_update.log
mv -f /mnt/kp/kp_update/* /mnt/kp/ && rm -rf /mnt/kp/kp_update   2>>/mnt/log/monitor_update.log
cp -p /tmp/update/wlan_default_pwd.smartlog /mnt/app_bin1/bin_arm/   2>>/mnt/log/monitor_update.log
tar zxf /tmp/update/webpage.tar.gz -C /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/init_env /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/udhcpd.conf /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/alias_all /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/route.txt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/app.cfg /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/auth.txt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/tomcat_client.crt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/tomcat_client.key /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ca.crt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/client_new.crt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/client_new.key /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ca_new.crt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/client_new.smartlog /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ca_esgcc.crt /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/nsswitch.conf /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/equiptest /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/user_init_salt.emap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/user_init_cfg.emap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/libcap.so.2.26 /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/curl /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/libcurl.so.4.6.0 /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/libtinyxml2_7.0.1.so /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/setcap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/getcap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/ubi* /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/*.so /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rp /tmp/update/so /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rp /tmp/update/client.smartlog /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rp /tmp/update/apploadbin /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/default.script /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/dhcp_shell /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/app_user_record.emap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/neteco_user_record1.emap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/sudoers /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/sudo /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp /tmp/update/zip /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/web_server /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/app_arm /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/register_remap.cfg /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -p /tmp/update/weak_password.emap /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/pppd /mnt/app_bin1/bin_arm/ 2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/nms_name_*.cfg /mnt/app_bin1/bin_arm/ 2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/remote_out_*.cfg /mnt/app_bin1/bin_arm/ 2>>/mnt/log/monitor_update.log
cp -rf /tmp/update/license_key.emap /mnt/app_bin1/bin_arm/ 2>>/mnt/log/monitor_update.log

if [ -f "/tmp/update/iec61850server" ]
then
    cp -p /tmp/update/iec61850server /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
    cp -p /tmp/update/server.cid /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
    cp -p /tmp/update/license3.lic /mnt/app_bin1/bin_arm/     2>>/mnt/log/monitor_update.log
fi

fi



if [ ! -d "/home/sys_cfg" ]; then
mkdir -p /home/sys_cfg     2>>/mnt/log/monitor_update.log
fi

if [ ! -f "/home/sys_cfg/neteco_user_record1.emap" ]; then 
cp -f /tmp/update/neteco_user_record1.emap /home/sys_cfg/neteco_user_record1.emap     2>>/mnt/log/monitor_update.log
fi

if [ ! -f "/home/sys_cfg/neteco_default_user_record1.emap" ]; then 
cp -f /tmp/update/neteco_user_record1.emap /home/sys_cfg/neteco_default_user_record1.emap     2>>/mnt/log/monitor_update.log
fi

if [ ! -f "/home/sys_cfg/wlan_default_pwd.smartlog" ]; then
cp -p /tmp/update/wlan_default_pwd.smartlog /home/sys_cfg/wlan_default_pwd.smartlog           2>>/mnt/log/monitor_update.log
fi

